
%global meadversion 2.0.6
%global namedversion 2.0.6.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-genericjms}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.6.Final-redhat-00001

Name:           %{?scl_prefix}jboss-genericjms
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Generic JMS
Group:          Development/Java

%if %with mead
Source100: generic-jms-ra-pom-2.0.6.Final-redhat-00001-project-sources.tar.gz
Source102: generic-jms-ra-2.0.6.Final-redhat-00001.pom
Source103: generic-jms-ra-jar-2.0.6.Final-redhat-00001.jar
Source104: generic-jms-ra-jar-2.0.6.Final-redhat-00001-sources.jar
Source105: generic-jms-ra-2.0.6.Final-redhat-00001.rar
Source106: generic-jms-ra-jar-2.0.6.Final-redhat-00001-javadoc.jar
Source107: generic-jms-ra-jar-2.0.6.Final-redhat-00001.pom
Source108: generic-jms-ra-pom-2.0.6.Final-redhat-00001.pom
%endif

License:        LGPLv2+
URL:            https://github.com/jms-ra/generic-jms-ra
Provides:       %{?scl_prefix}generic-jms-ra-jar = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}generic-jms-ra = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-genericjms
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n generic-jms-ra-pom-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/generic-jms-ra-jar-%{namedversion}.jar %{buildroot}%{_javadir}/generic-jms-ra-jar-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/generic-jms-ra-jar-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/generic-jms-ra-jar-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/generic-jms-ra-jar-%{namedversion}-sources.jar %{buildroot}%{_javadir}/generic-jms-ra-jar-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/generic-jms-ra-%{namedversion}.rar %{buildroot}%{_javadir}/generic-jms-ra-%{namedversion}.rar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-genericjms-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-genericjms-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-genericjms-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-genericjms-%{namedversion} %{buildroot}%{_javadocdir}/jboss-genericjms
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc copyright.txt LICENSE.txt README.md
%{_javadir}/generic-jms-ra-jar-%{namedversion}.jar
%{_javadir}/generic-jms-ra-jar.jar
%if %with javadoc
%{_javadir}/generic-jms-ra-jar-%{namedversion}-javadoc.jar
%{_javadir}/generic-jms-ra-jar-javadoc.jar
%endif
%{_javadir}/generic-jms-ra-jar-%{namedversion}-sources.jar
%{_javadir}/generic-jms-ra-jar-sources.jar
%{_javadir}/generic-jms-ra-%{namedversion}.rar
%{_javadir}/generic-jms-ra.rar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-genericjms-%{namedversion}
%{_javadocdir}/jboss-genericjms
%endif

%changelog
* Fri May 29 2020 Yong Yang <yyang@redhat.com> - 2.0.6-1.Final_redhat_00001.1
- RPM wrapper build 2.0.6.Final-redhat-00001

* Wed Oct 16 2019 Neil Wallace <nwallace@redhat.com> - 2.0.2-1.Final_redhat_00001.1
- 2.0.2.Final-redhat-00001

* Wed Oct 16 2019 Neil Wallace <nwallace@redhat.com> - 2.0.2-1.Final_redhat_00001.1
- 2.0.2.Final-redhat-00001

* Tue Mar 12 2019 Neil Wallace <nwallace@redhat.com> - 2.0.1-2.Final_redhat_00002.1
- 2.0.1.Final-redhat-00002

* Tue Mar 12 2019 Neil Wallace <nwallace@redhat.com> - 2.0.1.Final_redhat_2-1.1%{nil}
- 2.0.1.Final-redhat-00002

* Fri Jun 22 2018 Yong Yang <yyang@redhat.com> - 2.0.1-1.Final_redhat_1.1
-  2.0.1.Final-redhat-1 for eap 7.2.0

* Thu Oct 12 2017 Permaine Cheung <pcheung@redhat.com> - 2.0.0-4.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 2.0.0-3.Final_redhat_1.1
- upgrade to 2.0.0.Final-redhat-1

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 2.0.0-2.Alpha2_redhat_1.1
- upgrade to 2.0.0.Alpha2-redhat-1

* Tue Dec 20 2016 Petr Sakar <psakar@redhat.com> - 2.0.0-1.Alpha1_redhat_1.1
- upgrade to 2.0.0.Alpha1-redhat-1

* Tue Oct 18 2016 Filip Kujikis <fkujikis@redhat.com> - 1.0.8-1.Final_redhat_1.1
- prod build of upstream tag 1.0.8.Final

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.7-2.Final_redhat_2.1
- fix RPM Provides and install

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.7-2.Final_redhat_2.1
- release

